// @ts-check
import { defineConfig, fontProviders } from 'astro/config';

import node from '@astrojs/node';

// https://astro.build/config
export default defineConfig({
  fonts: [{
	    provider: fontProviders.local(),
	    name: "WinterSelfie",
	    cssVariable: "--winter-selfie",
	    options: {
	      variants: [{
	        src: ['./src/fonts/Winter Selfie.ttf','./src/fonts/Winter Selfie.otf'],
	        weight: 'normal',
	        style: 'normal'
	      }]
	    }
}],

  adapter: node({
    mode: 'standalone'
  })
});